/*******************************************************************************
* Copyright (C) 2013 Spansion LLC. All Rights Reserved. 
*
* This software is owned and published by: 
* Spansion LLC, 915 DeGuigne Dr. Sunnyvale, CA  94088-3453 ("Spansion").
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND 
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with Spansion 
* components. This software is licensed by Spansion to be adapted only 
* for use in systems utilizing Spansion components. Spansion shall not be 
* responsible for misuse or illegal use of this software for devices not 
* supported herein.  Spansion is providing this software "AS IS" and will 
* not be responsible for issues arising from incorrect user implementation 
* of the software.  
*
* SPANSION MAKES NO WARRANTY, EXPRESS OR IMPLIED, ARISING BY LAW OR OTHERWISE,
* REGARDING THE SOFTWARE (INCLUDING ANY ACOOMPANYING WRITTEN MATERIALS), 
* ITS PERFORMANCE OR SUITABILITY FOR YOUR INTENDED USE, INCLUDING, 
* WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, THE IMPLIED 
* WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE OR USE, AND THE IMPLIED 
* WARRANTY OF NONINFRINGEMENT.  
* SPANSION SHALL HAVE NO LIABILITY (WHETHER IN CONTRACT, WARRANTY, TORT, 
* NEGLIGENCE OR OTHERWISE) FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT 
* LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, 
* LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING FROM USE OR 
* INABILITY TO USE THE SOFTWARE, INCLUDING, WITHOUT LIMITATION, ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR LOSS OF DATA, 
* SAVINGS OR PROFITS, 
* EVEN IF SPANSION HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. 
* YOU ASSUME ALL RESPONSIBILITIES FOR SELECTION OF THE SOFTWARE TO ACHIEVE YOUR
* INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED 
* FROM, THE SOFTWARE.  
*
* This software may be replicated in part or whole for the licensed use, 
* with the restriction that this Disclaimer and Copyright notice must be 
* included with each copy of this software, whether used in part or whole, 
* at all times.  
*/
/******************************************************************************/
/** \file main.c
 **
 ** Main Module
 ** 
 ** \brief This example shows how to use GPIO macros
 **
 ** This example initializes Port P61 not inverted to output with the default
 ** value '0'. Afterwards the port output is set to '1'.
 ** The next step is the initialization of Port P0F to input. The port state
 ** is then read-out.
 ** The same is done with P61 nad P0F but with inverted logic.
 ** The last step is just to show, how to set a peripheral pin function. In
 ** this case the external interrupt channel 3 on its relocation '2'.
 **
 ** History:
 **   - 2014-01-15  1.0  Edison Zhang        First version.
 **
 ******************************************************************************/

/******************************************************************************/
/* Include files                                                              */
/******************************************************************************/
#include "pdl_header.h"

/**
 ******************************************************************************
 ** \brief  Main function of project for MB9B560 series.
 **
 ** \return int32_t return value, if needed
 ******************************************************************************/
int32_t main(void)
{
    Gpio1pin_InitOut( GPIO1PIN_P61, Gpio1pin_InitVal( 0u ) );     // Init Output P50, Value: 0
    Gpio1pin_Put( GPIO1PIN_P61, 1u);                              // Output P50, Value: 1

    Gpio1pin_InitIn ( GPIO1PIN_P0F, Gpio1pin_InitPullup( 0u ) );  // Init Input P51
    if (1u == Gpio1pin_Get( GPIO1PIN_P0F ))                       // Read P51
    {}

    Gpio1pin_InitOut( GPIO1PIN_NP61, Gpio1pin_InitVal( 0u ) );    // Init inverted Output P52, Value: 0
    Gpio1pin_Put( GPIO1PIN_NP61, 1u);                             // Output inverted P52, Value: 1

    Gpio1pin_InitIn ( GPIO1PIN_NP0F, Gpio1pin_InitPullup( 0u ) ); // Init inverted Input P53
    if (1u == Gpio1pin_Get( GPIO1PIN_NP0F ))                      // Read inverted P53
    {}

    SetPinFunc_INT03_2(0u); 	// Pin Function: INT11_0

    while(1);
}
